# gcp_compute_network_info – Gather info for GCP Network

New in version 2.7.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Gather info for GCP Network

- This module was called `gcp_compute_network_facts` before Ansible 2.9. The usage has not changed.

Aliases: gcp_compute_network_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

- requests >= 2.18.4

- google-auth >= 1.3.0

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---

auth_kind
string / required

Choices:
- application
- machineaccount
- serviceaccount

The type of credential used.

env_type string |  | Specifies which Ansible environment you're running this module within. This should not be set unless you know what you're doing. This only alters the User Agent string for any API requests.
filters list |  | A list of filter value pairs. Available filters are listed here https://cloud.google.com/sdk/gcloud/reference/topic/filters. Each additional filter in the list will act be added as an AND condition (filter1 and filter2) .
project string |  | The Google Cloud Platform project to use.
scopes list |  | Array of scopes to be used.
service_account_contents jsonarg |  | The contents of a Service Account JSON file, either in a dictionary or as a JSON string that represents it.
service_account_email string |  | An optional service account email address if machineaccount is selected and the user does not wish to use the default email.
service_account_file path |  | The path of a Service Account JSON file if serviceaccount is selected as type.

## Notes

Note

- for authentication, you can set service_account_file using the c(gcp_service_account_file) env variable.

- for authentication, you can set service_account_contents using the c(GCP_SERVICE_ACCOUNT_CONTENTS) env variable.

- For authentication, you can set service_account_email using the `GCP_SERVICE_ACCOUNT_EMAIL` env variable.

- For authentication, you can set auth_kind using the `GCP_AUTH_KIND` env variable.

- For authentication, you can set scopes using the `GCP_SCOPES` env variable.

- Environment variables values will only be used if the playbook values are not set.

- The service_account_email and service_account_file options are mutually exclusive.

## Examples

    - name: get info on a network
      gcp_compute_network_info:
        filters:
        - name = test_object
        project: test_project
        auth_kind: serviceaccount
        service_account_file: "/tmp/auth.pem"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
resources complex | always | List of resources
| autoCreateSubnetworks boolean | success | When set to `true`, the network is created in "auto subnet mode" and it will create a subnet for each region automatically across the `10.128.0.0/9` address range. When set to `false`, the network is created in "custom subnet mode" so the user can explicitly connect subnetwork resources.
| creationTimestamp string | success | Creation timestamp in RFC3339 text format.
| description string | success | An optional description of this resource. The resource must be recreated to modify this field.
| gateway_ipv4 string | success | The gateway address for default routing out of the network. This value is selected by GCP.
| id integer | success | The unique identifier for the resource.

ipv4_range
string

success

If this field is specified, a deprecated legacy network is created.
You will no longer be able to create a legacy network on Feb 1, 2020.
See the [legacy network docs](https://cloud.google.com/vpc/docs/legacy) for more details.
The range of internal addresses that are legal on this legacy network.
This range is a CIDR specification, for example: `192.168.0.0/16`.
The resource must be recreated to modify this field.

name
string

success

Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with RFC1035. Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash.

| routingConfig complex | success | The network-level routing configuration for this network. Used by Cloud Router to determine what type of network-wide routing behavior to enforce.
|  | routingMode string | success | The network-wide routing mode to use. If set to `REGIONAL`, this network's cloud routers will only advertise routes with subnetworks of this network in the same region as the router. If set to `GLOBAL`, this network's cloud routers will advertise routes with all subnetworks of this network, across regions.
| subnetworks list | success | Server-defined fully-qualified URLs for all subnetworks in this network.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Google Inc. (@googlecloudplatform)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.